Sweeps
Use the API or the Moov Dashboard to configure sweeps. A sweep automatically initiates daily transfers to external bank accounts on a set schedule. Enabling sweeps will either payout funds from a wallet or pull funds to cover fees and chargebacks.
You have the option to choose which payment method to use for processing sweeps - standard ACH, same-day ACH, instant bank credit, or RTP. While instant-bank-credit and rtp-credit both provide instant payments on the RTP rail, Moov strongly suggests using instant-bank-credit, which supports the RTP rail (FedNow support coming soon).
| Push payment method | Receive funds by |
|---|---|
ach-credit-same-day |
6 pm ET |
ach-credit-standard |
10 am ET (next day) |
instant-bank-credit |
Instant (RTP) |
rtp-credit |
Instant |
See our sweeps documentation for more details.
Create sweep config
POST
/accounts/{accountID}/sweep-configs
Get sweep
GET
/accounts/{accountID}/wallets/{walletID}/sweeps/{sweepID}
Get sweep config
GET
/accounts/{accountID}/sweep-configs/{sweepConfigID}
List sweeps
GET
/accounts/{accountID}/wallets/{walletID}/sweeps
List sweep configs
GET
/accounts/{accountID}/sweep-configs
Update sweep config
PATCH
/accounts/{accountID}/sweep-configs/{sweepConfigID}